
/* $Id: const.h,v 2.310 1994/07/18 18:18:24 kohl Exp $ */

/* XPVM Version */

#define XPVM_VERSION "1.0.3"

/* Define Default Location of XPVM Main Directory */

#define XPVM_DEFAULT_DIR "pvm3/xpvm"

/* Define Default Location of Hostfile */

#define DEFAULT_HOSTFILE ".xpvm_hosts"

/* Hosts Console Command IDs */
#define ADD_ALL_HID    0
#define MAX_HID        1

/* Playback Controls Command IDs */
#define TRACE_REWIND     0
#define TRACE_STOP       1
#define TRACE_FWD        2
#define TRACE_FWDSTEP    3
#define MAX_TRACE        4

/* Trace File Status Flag Values */
#define TRACE_FILE_OVERWRITE    0
#define TRACE_FILE_PLAYBACK     1
#define MAX_TRACE_FILE          2

/* Hostname Check Macro */
#define LOCALHOST( _name ) \
	( HOST_NAME != NULL && HOST_ALIAS != NULL \
		&& ( !strcmp( HOST_NAME, _name ) \
			|| !strcmp( HOST_ALIAS, _name ) ) )

/* Group Task Check Macro */
#define GROUPTASK( _name ) \
	( compare( "pvmg", _name ) || compare( "pvmcg", _name ) )

/* TEV Type Constants */
#define ENTRY_TEV    0
#define EXIT_TEV     1
#define BLOCK_TEV    2
#define IGNORE_TEV   3

/* In PVM Constants */
#define NOT_IN_PVM      0
#define IN_PVM          1
#define TO_BE_ADDED     2
#define PLAYBACK_ADDED  3
#define PLAYBACK_UNUSED 4

/* Task Status Constants */
#define TASK_DEAD    0
#define TASK_ALIVE   1

/* True / False Constants */
#define FALSE    0
#define TRUE     1

/* Number of Unix Signals */
#define NUM_SIGNALS    31

